> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a previously allowed domain for collaboration

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = href;
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

Deleting a domain from the list of allowed collaboration domains will remove the
ability for collaborations to be created between your enterprise and users in
that domain.

To remove a domain from the allowed list, supply the ID of the list entry to
the delete request. This ID is returned when <Link href="/guides/collaborations/allowed-domains/create">allowing a new domain</Link>
or <Link href="/guides/collaborations/allowed-domains/list">listing the allowed domains in the enterprise</Link>;

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X DELETE "https://api.box.com/2.0/collaboration_whitelist_entries/213123" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.collaborationAllowlistEntries.deleteCollaborationWhitelistEntryById(
    entry.id!,
  );
  ```

  ```python Python v10 theme={null}
  client.collaboration_allowlist_entries.delete_collaboration_whitelist_entry_by_id(
      entry.id
  )
  ```

  ```cs .NET v10 theme={null}
  await client.CollaborationAllowlistEntries.DeleteCollaborationWhitelistEntryByIdAsync(collaborationWhitelistEntryId: NullableUtils.Unwrap(entry.Id));
  ```

  ```swift Swift v10 theme={null}
  try await client.collaborationAllowlistEntries.deleteCollaborationWhitelistEntryById(collaborationWhitelistEntryId: entry.id!)
  ```

  ```java Java v10 theme={null}
  client.getCollaborationAllowlistEntries().deleteCollaborationWhitelistEntryById(entry.getId())
  ```

  ```cs .NET v6 theme={null}
  string entryID = "11111";
  await client.CollaborationWhitelistManager.DeleteCollaborationWhitelistEntryAsync(entryID);
  ```

  ```javascript Node v4 theme={null}
  client.collaborationAllowlist.removeDomain('12345', callback);
  ```
</CodeGroup>

<RelatedLinks
  title="RELATED APIS"
  items={[
{ label: translate("Remove domain from list of allowed collaboration domains"), href: "/reference/delete-collaboration-whitelist-entries-id", badge: "DELETE" }
]}
/>

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Collaborations"), href: "/guides/collaborations/index", badge: "GUIDE" },
{ label: translate("List allowed domains for collaboration"), href: "/guides/collaborations/allowed-domains/list", badge: "GUIDE" },
{ label: translate("Allow a domain for collaboration"), href: "/guides/collaborations/allowed-domains/create", badge: "GUIDE" }
]}
/>
